Create new workspace
curl --request POST \
--url https://api.meetsquad.ai/organisations/{orgId}/workspaces \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"missionStatement": "Develop innovative products that solve real customer problems",
"homepageUrl": "<string>",
"logoUrl": "<string>",
"description": "<string>",
"outcomes": [
"<string>"
],
"utm": {
"source": "<string>",
"medium": "<string>",
"campaign": "<string>",
"term": "<string>",
"content": "<string>"
}
}
'import requests
url = "https://api.meetsquad.ai/organisations/{orgId}/workspaces"
payload = {
"name": "<string>",
"missionStatement": "Develop innovative products that solve real customer problems",
"homepageUrl": "<string>",
"logoUrl": "<string>",
"description": "<string>",
"outcomes": ["<string>"],
"utm": {
"source": "<string>",
"medium": "<string>",
"campaign": "<string>",
"term": "<string>",
"content": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
missionStatement: 'Develop innovative products that solve real customer problems',
homepageUrl: '<string>',
logoUrl: '<string>',
description: '<string>',
outcomes: ['<string>'],
utm: {
source: '<string>',
medium: '<string>',
campaign: '<string>',
term: '<string>',
content: '<string>'
}
})
};
fetch('https://api.meetsquad.ai/organisations/{orgId}/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "c0e195d9-b918-4a3a-bd8b-f730361d044f",
"name": "Product Development",
"missionStatement": "Develop innovative products that solve real customer problems",
"createdAt": "2025-03-26T22:35:46Z",
"updatedAt": "2025-03-26T22:35:46Z",
"status": "Initializing",
"homepageUrl": "https://product.example.com",
"logoUrl": "https://product.example.com/logo.png",
"description": "This workspace focuses on our core product development initiatives, including roadmap planning, feature development, and product improvements."
}
}{
"error": {
"code": "INVALID_REQUEST",
"description": "One or more fields are invalid",
"fields": [
"title",
"description"
],
"validationErrors": {
"invalidFields": {
"title": {
"type": "too_small",
"message": "Title must be at least 3 characters long",
"path": [
"title"
]
},
"deadline": {
"type": "invalid_date",
"message": "Deadline must be a valid date in the future",
"path": [
"deadline"
]
}
}
}
}
}{
"error": {
"code": "UNAUTHORISED_ERROR",
"description": "User is unauthenticated"
}
}{
"error": {
"code": "UNAUTHORISED_ERROR",
"description": "User is unauthorised"
}
}{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"description": "An unexpected error occurred on the server"
}
}Workspaces
Create new workspace
Creates a new workspace for the specified organization
POST
/
organisations
/
{orgId}
/
workspaces
Create new workspace
Authorizations
JWT authentication for organization-scoped endpoints.
Path Parameters
Organization ID
Body
application/json
Response
Workspace created successfully
Response containing a single workspace
Workspace data
Show child attributes
Show child attributes
⌘I